import SwiftUI

struct BaseNavigationView: View {
    @EnvironmentObject var store: AppStore
    private var state: AppState {
        store.state
    }

    public var body: some View {
        switch state.currentFlow {
        case .start:
            StartPage()
        }
    }
}
